/************************************************
*						*
* MODULO PER LA LETTURA DEI CANALI ANALOGICI	*
*						*	
*	chiamare la fz leggi_ad(n);		*
*	done n: numero del canale in ingresso	*
*						*
*						*
************************************************/

int leggi_ad(char canale)
{
	int valore;

	ADCON0 = (canale << 3) + 0xC1;	// enable ADC, RC osc.

	DelayUs(10);			//Ritardo per dare modo all'A/D di stabilizzarsi

	ADGO = 1;      			//Fa partire la conversione

	while(ADGO)
			continue;	//Attende che la conversione sia completa

	valore=ADRESL;      		//Parte bassa del risultato
	valore= valore + (ADRESH<<8);  	//Parte alta del risultato
	
	return(valore);	
}
